Name:           guiloader-c++
Version:        2.12.1
Release:        1%{?dist}
Summary:        C++ Binding to GuiLoader Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://crow-designer.sourceforge.net/
Source0:        http://downloads.sourceforge.net/crow-designer/%{name}-%{version}.tar.bz2
Patch0:         %{name}-soversion.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  guiloader-devel >= 2.8.0
BuildRequires:  gtkmm24-devel >= 2.8.0
BuildRequires:  gettext
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
GuiLoader/C++ is a C++ binding to GuiLoader library. It is a
convenience layer that simplifies development of GuiLoader based
applications written in C++ language by introducing exception safety,
binding GTK+ objects defined in GuiXml to C++ variables and type-safe
dynamic connection to signals.


%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       guiloader-devel
Requires:       gtkmm24-devel
Requires:       pkgconfig

%description devel
This package contains the header files needed for developing %{name}
applications.


%prep
%setup -q
%patch0 -p0


%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README README.msvc
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%doc NEWS
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Dec 07 2008 Fabian Affolter <fabian@bernewireless.net> - 2.12.1-1
- Update to 2.12.1
- Change license to MIT acc. the source code
- add pkgconfig as a requirement for devel

* Sun Sep  3 2006 Denis Leroy <denis@poolshark.org> - 2.8.0-1
- First version
